Package org.apache.sysds.lops

# Enum Class Compression.CompressConfig

java.lang.Object
java.lang.Enum<Compression.CompressConfig>
org.apache.sysds.lops.Compression.CompressConfig

All Implemented Interfaces:
  `Serializable`, `Comparable<Compression.CompressConfig>`, `Constable`

Enclosing class:
  Compression

public static enum Compression.CompressConfig extends Enum<Compression.CompressConfig>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AUTO`
`COST`
`FALSE`
`TRUE`
`WORKLOAD`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isEnabled()`
`boolean`
`isWorkload()`
`static Compression.CompressConfig`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Compression.CompressConfig[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TRUE

public static final Compression.CompressConfig TRUE

### FALSE

public static final Compression.CompressConfig FALSE

### COST

public static final Compression.CompressConfig COST

### AUTO

public static final Compression.CompressConfig AUTO

### WORKLOAD

public static final Compression.CompressConfig WORKLOAD

## Method Details

### values

public static Compression.CompressConfig[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Compression.CompressConfig valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isEnabled

public boolean isEnabled()

### isWorkload

public boolean isWorkload()